<?php


namespace ACL\Crud;


class CrudService
{
    /**
     * @var CrudRepository
     */
    private $crudRepository;

    /**
     * CrudService constructor.
     * @param CrudRepository $crudRepository
     */
    public function __construct(CrudRepository $crudRepository)
    {
        $this->crudRepository = $crudRepository;
    }

    /**
     * @param $table
     * @param $columns
     * @return array
     */
    public function find($table, $columns): array
    {
        $table = strtoupper($table);
        $columns = strtoupper($columns);
        return $this->crudRepository->find($table, $columns);
    }
}