import { Form } from '@zeedhi/common';
// import { IEventParam } from '@zeedhi/core';
import { IFormEdit, IFormEditEvents } from './interfaces';

export class FormEdit extends Form implements IFormEdit {
	/* Form title */
	public title: string = '';

	/* Form events */
	public events: IFormEditEvents = {};

	/** Form footer */
	// private footer = {
	// 	name: 'form-edit-footer',
	// 	component: 'ZdFooter',
	// 	color: 'transparent',
	// 	cssClass: 'zd-mb-3',
	// 	grid: {
	// 		sm: '12',
	// 	},
	// 	padless: true,
	// 	rightSlot: [
	// 		{
	// 			name: 'form-edit-cancel-button',
	// 			component: 'ZdButton',
	// 			label: 'Cancel',
	// 			cssClass: 'zd-mr-2',
	// 			events: {
	// 				click: this.cancelClick.bind(this),
	// 			},
	// 		},
	// 		{
	// 			name: 'form-edit-save-button',
	// 			component: 'ZdButton',
	// 			label: 'Save',
	// 			events: {
	// 				click: this.saveClick.bind(this),
	// 			},
	// 		},
	// 	],
	// };

	/**
	 * Form Editor constructor
	 * @param props Form Editor properties
	 */
	constructor(props: IFormEdit) {
		super(props);
		this.title = this.getInitValue('title', props.title, this.title);
		this.createAccessors();
		// this.children.push(this.footer);
	}

	// private cancelClick({ event, element }: IEventParam<FormEdit>) {
	// 	if (this.events.cancelClick) {
	// 		this.events.cancelClick({ event, element, component: this });
	// 	}
	// }
	//
	// private saveClick({ event, element }: IEventParam<FormEdit>) {
	// 	if (this.validate() && this.events.saveClick) {
	// 		this.events.saveClick({ event, element, component: this });
	// 	}
	// }
}
